package rosa

import "hakurei.app/internal/pkg"

func (t Toolchain) newLibpsl() (pkg.Artifact, string) {
	const (
		version  = "0.21.5"
		checksum = "XjfxSzh7peG2Vg4vJlL8z4JZJLcXqbuP6pLWkrGCmRxlnYUFTKNBqWGHCxEOlCad"
	)
	return t.NewPackage("libpsl", version, newFromGitHubRelease(
		"rockdaboot/libpsl",
		version,
		"libpsl-"+version+".tar.gz",
		checksum,
		pkg.TarGzip,
	), &PackageAttr{
		Writable: true,
		ScriptEarly: `
test_disable() { chmod +w "$2" && echo "$1" > "$2"; }

test_disable 'int main(){return 0;}' tests/test-is-public-builtin.c
`,
	}, (*MakeHelper)(nil),
		Python,
	), version
}
func init() {
	artifactsM[Libpsl] = Metadata{
		f: Toolchain.newLibpsl,

		Name:        "libpsl",
		Description: "provides functions to work with the Mozilla Public Suffix List",
		Website:     "https://rockdaboot.github.io/libpsl/",

		ID: 7305,
	}
}
